
Redmine - Defect #10829

db:migrate fails 0.8.2 -> 1.4.1

2012-05-03 22:19 - seth larson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 1.4.2   

Resolution: Fixed Affected version: 0.8.2

Description

Ruby version              1.8.7 (i686-darwin11.3.0)

RubyGems version          1.8.21

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /Users/blendinteractive/Sites/redmine-1.4.1

Environment               development

Database adapter          mysql

Database schema version   20090527195008

$rake db:migrate:upgrade_plugin_migrations

DEPRECATION WARNING: Rake tasks in vendor/plugins/gloc-1.1.0/tasks are deprecated. Use lib/tasks i

nstead. (called from /Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/rails-2.3.14/lib/tasks/rails.rb

:10)

Cannot find old migration table - assuming nothing needs to be done

$rake db:migrate_plugins RAILS_ENV=production

Please install RDoc 2.4.2+ to generate documentation.

DEPRECATION WARNING: Rake tasks in vendor/plugins/gloc-1.1.0/tasks are deprecated. Use lib/tasks i

nstead. (called from /Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/rails-2.3.14/lib/tasks/rails.rb

:10)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...

Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating calendar_import...

Migrating classic_pagination...

Migrating coderay-0.7.6.227...

Migrating gloc-1.1.0...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating redmine_schedules...

Migrating rfpdf...

$rake db:migrate RAILS_ENV=production --trace

Please install RDoc 2.4.2+ to generate documentation.

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute db:migrate
==  BuildProjectsTree: migrating ==============================================

rake aborted!

An error has occurred, all later migrations canceled:

Mysql::Error: Unknown column 'is_default' in 'where clause': SELECT * FROM `repositories` WHERE (`

repositories`.project_id = 505 AND (is_default = 1))  LIMIT 1

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada

pters/abstract_adapter.rb:227:in `log'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada

pters/mysql_adapter.rb:324:in `execute'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada

pters/mysql_adapter.rb:639:in `select'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada

pters/abstract/database_statements.rb:7:in `select_all_without_query_cache'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada

pters/abstract/query_cache.rb:62:in `select_all'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/base.rb:665:in

 `find_by_sql'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/base.rb:1582:i

n `find_every'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/base.rb:1539:i

n `find_initial'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/base.rb:617:in

 `find'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/associations/h

as_one_association.rb:81:in `find_target'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/associations/a

ssociation_proxy.rb:236:in `load_target'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/associations/a

ssociation_proxy.rb:113:in `reload'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/associations.r

b:1256:in `repository'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:477:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:477:in `validates_each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:476:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:476:in `validates_each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:182:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:182:in `evaluate_method'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:166:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `run'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `run'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:276:in `run_callbacks'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:1109:in `valid_without_callbacks?'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/callbacks.rb:3

15:in `valid?'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:1098:in `save_without_dirty!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/dirty.rb:87:in

 `save_without_transactions!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:200:in `save!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada
pters/abstract/database_statements.rb:136:in `transaction'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:182:in `transaction'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:200:in `save!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:208:in `rollback_active_record_state!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:200:in `save!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:187

:in `rebuild!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:184

:in `call'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:184

:in `rebuild!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:184

:in `each'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:184

:in `rebuild!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:194

:in `call'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:194

:in `rebuild!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:191

:in `each'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:191

:in `rebuild!'

./db/migrate//105_build_projects_tree.rb:3:in `up_without_benchmarks'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:2

82:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:2

82:in `migrate'

/Users/redmine/.rvm/rubies/ruby-1.8.7-p358/lib/ruby/1.8/benchmark.rb:293:in `measure'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:2

82:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:3

65:in `__send__'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:3

65:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

91:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:5

67:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:5

67:in `ddl_transaction'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

90:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

77:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

77:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

01:in `up'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:3

83:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/rails-2.3.14/lib/tasks/databases.rake:112

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `execute

'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `execute

'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:158:in `invoke_

with_call_chain'

/Users/redmine/.rvm/rubies/ruby-1.8.7-p358/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_

with_call_chain'

2025-05-02 3/7



/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:144:in `invoke'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:116:in `

invoke_task'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `t

op_level'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `e

ach'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `t

op_level'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `

standard_exception_handling'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:88:in `t

op_level'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:66:in `r

un'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `

standard_exception_handling'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `r

un'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/bin/rake:33

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/bin/rake:19:in `load'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/bin/rake:19

Tasks: TOP => db:migrate

 I attempted to manually create the column  and then run the migration script that set its default values:

script/runner 'require("db/migrate/20120115143126_set_default_repositories.rb").first.constantize.

up'

 This lead to another error:

undefined method `identifier' for #<Repository::Subversion:0x10bc4a6d8>

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/attribute_meth

ods.rb:260:in `method_missing'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:477:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:477:in `validates_each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:476:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:476:in `validates_each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:182:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:182:in `evaluate_method'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:166:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `run'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `run'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:276:in `run_callbacks'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:1109:in `valid_without_callbacks?'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/callbacks.rb:3

15:in `valid?'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/associations/a

ssociation_proxy.rb:215:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/associations/a

ssociation_proxy.rb:215:in `method_missing'

2025-05-02 4/7



/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:986:in `validates_associated'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:986:in `collect'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:986:in `validates_associated'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:479:in `validates_each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:476:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:476:in `validates_each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:182:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:182:in `evaluate_method'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:166:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `run'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:90:in `run'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activesupport-2.3.14/lib/active_support/callbacks.rb

:276:in `run_callbacks'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:1109:in `valid_without_callbacks?'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/callbacks.rb:3

15:in `valid?'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/validations.rb

:1098:in `save_without_dirty!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/dirty.rb:87:in

 `save_without_transactions!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:200:in `save!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/connection_ada

pters/abstract/database_statements.rb:136:in `transaction'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:182:in `transaction'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:200:in `save!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:208:in `rollback_active_record_state!'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/transactions.r

b:200:in `save!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:187

:in `rebuild!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:194

:in `call'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:194

:in `rebuild!'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:191

:in `each'

/Users/redmine/Sites/redmine-1.4.1/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:191

:in `rebuild!'

./db/migrate//105_build_projects_tree.rb:3:in `up_without_benchmarks'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:2

82:in `send'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:2

82:in `migrate'

/Users/redmine/.rvm/rubies/ruby-1.8.7-p358/lib/ruby/1.8/benchmark.rb:293:in `measure'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:2

82:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:3
65:in `__send__'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:3

65:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

91:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:5

67:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:5

67:in `ddl_transaction'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

90:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

77:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

77:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:4

01:in `up'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/activerecord-2.3.14/lib/active_record/migration.rb:3

83:in `migrate'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358/gems/rails-2.3.14/lib/tasks/databases.rake:112

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `call'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `execute

'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `each'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `execute

'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:158:in `invoke_

with_call_chain'

/Users/redmine/.rvm/rubies/ruby-1.8.7-p358/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_

with_call_chain'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/task.rb:144:in `invoke'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:116:in `

invoke_task'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `t

op_level'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `e

ach'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `t

op_level'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `

standard_exception_handling'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:88:in `t

op_level'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:66:in `r

un'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `

standard_exception_handling'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `r

un'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/gems/rake-0.9.2.2/bin/rake:33

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/bin/rake:19:in `load'

/Users/redmine/.rvm/gems/ruby-1.8.7-p358@global/bin/rake:19

Tasks: TOP => db:migrate

$

Associated revisions

Revision 9631 - 2012-05-05 11:37 - Jean-Philippe Lang

Do not trigger model validations when rebuilding the nested set (#10829).

Revision 9632 - 2012-05-05 11:39 - Jean-Philippe Lang

Do not trigger model validations when rebuilding the nested set (#10829).

History
#1 - 2012-05-04 18:45 - Jean-Philippe Lang

- File 10829.patch added

Could you try to migrate after applying the attached patch (based on 1.4-stable)?

#2 - 2012-05-05 03:48 - seth larson

- Status changed from New to Resolved

Thanks!  That resolves the issue and when I look at the patch makes me feel foolish for not digging into the awesome_nested_set library.

I stil ran into some issues on the database migration, similar to:

Mysql::Error: Table 'member_roles' already exists: CREATE TABLE `member_roles` (`id` int(11) DEFAULT NULL auto

_increment PRIMARY KEY, `member_id` int(11) NOT NULL, `role_id` int(11) NOT NULL) ENGINE=InnoDB

 They happened for a few tables during the plugin migration and the application migration.

I did the following to get around those.

edit line 187 of awesome_nested_set.rb

#Plugin steps

rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

rename table schedule_entries to schedule_entries_saved;

rename table schedule_closed_entries to schedule_closed_entries_saved;

rename table schedule_defaults to schedule_defaults_saved;

rake db:migrate_plugins RAILS_ENV=production

drop table schedule_entries;

drop table schedule_closed_entries;

drop table schedule_defaults;

rename table schedule_entries_saved to schedule_entries;

rename table schedule_closed_entries_saved to schedule_closed_entries;

rename table schedule_defaults_saved to schedule_defaults;

#Application steps

rename table member_roles to member_roles_saved;

rename table groups_users to groups_users_saved;

rake db:migrate

drop table member_roles;

drop table groups_users;

rename table member_roles_saved to member_roles;

rename table groups_users_saved to groups_users;

 Now to find out why some of our custom plugins written back in the .8 days don't work on the current build.

Thanks for the help!

#3 - 2012-05-05 11:43 - Jean-Philippe Lang

- Category set to Database

- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.2

- Resolution set to Fixed

Fix applied in 1.4-stable in r9631. Trunk has an updated awesome_nested_set library and the fix is r9632.

Thanks for the feedback.

Files

10829.patch 773 Bytes 2012-05-04 Jean-Philippe Lang
